name='hln-a-git'
version='a5cba00'
release='1'
desc='Этот инструмент позволяет управлять выделенным сервером ARK: Survival Evolved на Linux. Он предоставляет множество функций, чтобы получить полный список, ознакомьтесь с разделом использования. (находится в разарботке и может содержать ошибки)'
homepage='https://gitflic.ru/project/xpamych/dodo-manager'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-3.0-or-later')
provides=('nln-a')
conflicts=('nln-a')

deps=('python3, python3-pip, steamcmd')
deps_arch=('python, python-pip, steamcmd')

sources=("git+https://gitflic.ru/project/xpamych/nln-a.git")
checksums=('SKIP')

prepare() {
    pip install --upgrade click colorama pyTelegramBotAPI
}

package() {
	install -Dm755 "${srcdir}/nln-a/nln-a.py" "${pkgdir}/usr/bin/nln-a"
    install -Dm755 "${srcdir}/nln-a/nln-a-bot.py" "${pkgdir}/usr/bin/nln-a-bot"
	install -Dm644 "${srcdir}/nln-a/LICENSE.md" "${pkgdir}/usr/share/licenses/nln-a/license"
}
